Package: org.codehaus.groovy.runtime.typehandling

## [Java] Class IntegerMath

- org.codehaus.groovy.runtime.typehandling.IntegerMath

- Integer NumberMath operations

  Authors:
    Steve Goetze

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static IntegerMath` | `INSTANCE` |

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected Number` | `absImpl(Number number)`
    `` | `Number` | `addImpl(Number left, Number right)`
    `` | `protected Number` | `andImpl(Number left, Number right)`
    `` | `protected Number` | `bitwiseNegateImpl(Number left)`
    `` | `int` | `compareToImpl(Number left, Number right)`
    `` | `Number` | `divideImpl(Number left, Number right)`
    `` | `protected Number` | `intdivImpl(Number left, Number right)`
    `` | `protected Number` | `leftShiftImpl(Number left, Number right)`
    `` | `protected Number` | `modImpl(Number left, Number right)`
    `` | `Number` | `multiplyImpl(Number left, Number right)`
    `` | `protected Number` | `orImpl(Number left, Number right)`
    `` | `protected Number` | `rightShiftImpl(Number left, Number right)`
    `` | `protected Number` | `rightShiftUnsignedImpl(Number left, Number right)`
    `` | `Number` | `subtractImpl(Number left, Number right)`
    `` | `protected Number` | `unaryMinusImpl(Number left)`
    `` | `protected Number` | `unaryPlusImpl(Number left)`
    `` | `protected Number` | `xorImpl(Number left, Number right)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---

    `class NumberMath`

    `abs, absImpl, add, addImpl, and, andImpl, bitwiseNegate, bitwiseNegateImpl, compareTo, compareToImpl, createUnsupportedException, divide, divideImpl, getMath, intdiv, intdivImpl, isBigDecimal, isBigInteger, isFloatingPoint, isInteger, isLong, leftShift, leftShiftImpl, mod, modImpl, multiply, multiplyImpl, or, orImpl, rightShift, rightShiftImpl, rightShiftUnsigned, rightShiftUnsignedImpl, subtract, subtractImpl, toBigDecimal, toBigInteger, unaryMinus, unaryMinusImpl, unaryPlus, unaryPlusImpl, xor, xorImpl`

    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### public static final IntegerMath INSTANCE

  - ### Method Detail

    - #### protected Number absImpl(Number number)

    - #### public Number addImpl(Number left, Number right)

    - #### protected Number andImpl(Number left, Number right)

    - #### protected Number bitwiseNegateImpl(Number left)

    - #### public int compareToImpl(Number left, Number right)

    - #### public Number divideImpl(Number left, Number right)

    - #### protected Number intdivImpl(Number left, Number right)

    - #### protected Number leftShiftImpl(Number left, Number right)

    - #### protected Number modImpl(Number left, Number right)

    - #### public Number multiplyImpl(Number left, Number right)

    - #### protected Number orImpl(Number left, Number right)

    - #### protected Number rightShiftImpl(Number left, Number right)

    - #### protected Number rightShiftUnsignedImpl(Number left, Number right)

    - #### public Number subtractImpl(Number left, Number right)

    - #### protected Number unaryMinusImpl(Number left)

    - #### protected Number unaryPlusImpl(Number left)

    - #### protected Number xorImpl(Number left, Number right)